%define		php_name	php%{?php_suffix}
%define		modname	pop3
%define		status		stable
Summary:	POP3 Client Library
Summary(pl.UTF-8):	Biblioteka klienta POP3
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.2
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	cdbe4f41aa37bcf45e651d5568f3a8d2
Patch0:		php-pecl-%{modname}-php51.patch
URL:		http://pecl.php.net/package/POP3/
BuildRequires:	libspopc-devel
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The POP3 extension makes it possible for a PHP script to connect to
and interact with a POP3 mail server. Based on libspopc
(http://brouits.free.fr/libspopc/), it is built for performance and
ease of use.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Rozszerzenie POP3 umożliwia skryptowi PHP podłączenie i współpracę z
serwerem POP3. Biblioteka bazująca na libspopc
(http://brouits.free.fr/libspopc/), stworzona została z myślą o
wydajności i łatwości użycia.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p2

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-pop3.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 66c7560
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 71daa9d
- release 8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 05d6192
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2a40d4b
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 457b2a4
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 3ba7ce7
- rel 7 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 37dd18b
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Adam Gołębiowski <adamg@pld-linux.org> f0972d9
- new

* Thu Dec 22 2005 Adam Gołębiowski <adamg@pld-linux.org> 197963c
- fix build with php5.1
- release 6

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 0782eb8
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> fef6311
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 6b65a17
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 1d6acac
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 065a648
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> ddf0f08
- superfluous BR libtool removed

* Wed Jul 27 2005 Adam Gołębiowski <adamg@pld-linux.org> c2ed45c
- updated to 1.0.2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 65cbb9a
- fixed english information about status of the package (also s/PEAR/PECL/)

* Sun Jan 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 89d68ee
- capitalization, formatting

* Sun Jan 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 7c17968
- added BR: libspopc-devel

* Sun Jan 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 52bdb4c
- initial import

